int trig = 9;                                 // la broche TRIG du capteur est pilotée par la borne 9
int echo = 8;                                 // la broche ECHO est connectée à la borne 8
long duree;                                   // création d'une variable qui stocke la durée de l'aller-retour

void setup(){
    Serial.begin(9600);
    pinMode(trig, OUTPUT);                    // trig (qui alimente l'émetteur) est déclaré comme une sortie
    pinMode(echo, INPUT);                     // echo est déclaré comme une entrée
}


void loop() {
    digitalWrite(trig, HIGH);                                 // déclenche l'alimentation de la borne TRIG 
    delayMicroseconds(500);                                   // attend 500 µs
    digitalWrite(trig, LOW);                                  // cesse l'alimentation de la borne TRIG 
    duree = pulseIn(echo, HIGH, 5000);                         // duréecécoulée entre le début de l'alimentation de TRIG et la réception d'un signal en ECHO
    if (duree == 0) {
      Serial.println("Pas de signal reçu !");                 // écrit le texte entre guillemets
    }
    else {
      Serial.print("Durée entre émission et réception : ");     // écrit le texte entre guillemets
      Serial.print(duree);                                      // écrit la valeur de la durée mesurée 
      Serial.println("µs");                                     // écrit "cm"  
    }
    
    delay(1000) ;                                               // attend 1000 ms pour renouveler la mesure
}
